Bug 111943 - unable to open XLSX files in Calc
Summary: unable to open XLSX files in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.5.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.3.6 target:5.4.1
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: XLSX File-Opening
  Show dependency treegraph
 
Reported: 2017-08-21 12:22 UTC by Shreekanth Murali
Modified: 2017-08-30 18:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
XLSX file not opening in Calc (1.59 MB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2017-08-21 12:22 UTC, Shreekanth Murali
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shreekanth Murali 2017-08-21 12:22:13 UTC
Created attachment 135699 [details]
XLSX file not opening in Calc

Unable to open XLSX files in calc. When same file is saved as XLs then can be opened without any issues
Comment 1 Mike Kaganski 2017-08-21 13:02:21 UTC
Reproducible with Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: ru-RU (ru_RU); Calc: group

(shows "General input/output error")

but *NOT* with Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 2 Mike Kaganski 2017-08-21 13:23:23 UTC
Bibisecting with bibisect-win32-5.4, first bad commit is:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6a4343a9925dbc5a75b7aeb5dfd4fde21124492f

author	Eike Rathke <erack@redhat.com>	2017-06-21 21:42:25 (GMT)
committer	Christian Lohmaier <lohmaier+LibreOffice@googlemail.com>	2017-06-22 07:32:57 (GMT)
commit	6a4343a9925dbc5a75b7aeb5dfd4fde21124492f
tree	cdf515ee074aa324df4a2b24ab5061dd02568722
parent	e074090cea379716096d7025a62ad1c756b4d14f
Resolves: tdf#108292 WalkAndMatchElements: really limit the match
... to the columns queried, not just when entering an mdds node. Otherwise it
would return an unexpected index, plus bailing out early spares unnecessary
comparisons for the rest of a node block.
Comment 3 Xisco Faulí 2017-08-21 14:24:54 UTC
is it fixed after 25b3806ac509006573e669acc33643af3bd77380 ?
Comment 4 Mike Kaganski 2017-08-21 14:30:10 UTC
(In reply to Xisco Faulí from comment #3)

FIXED based on tml_'s feedback on IRC.
Comment 6 Commit Notification 2017-08-22 17:49:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d8044d25a6d112854655ef0ad51f1a904350f0f&h=libreoffice-5-3

Resolves: tdf#111943 really really limit the match, tdf#108292 follow-up

It will be available in 5.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2017-08-24 11:51:02 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9bedb5caae9cb4b535b9fc370480c1b4f5cd70f6&h=libreoffice-5-4

Resolves: tdf#111943 really really limit the match, tdf#108292 follow-up

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-08-24 18:27:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5e600aeb89915f1fbc291462190573e555bf21d&h=libreoffice-5-4-1

Resolves: tdf#111943 really really limit the match, tdf#108292 follow-up

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2017-08-30 18:25:05 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: 78960ad06faca055a6d97afbc764c902d5d07f6f
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-08-30_06:31:19
Locale: es-ES (es_ES); Calc: group